import gulp from 'gulp'
import theComposer from '@the-grid/the-composer';
import index from '../../src/ds/'
import clone from 'clone'
import path from 'path'
import fs from 'fs'
import shell from 'shelljs'

const writeFile = (mockConfig, html) => {
  const targetPath = ['tmp', 'sites'];
  console.log('writing file....')

  if(!mockConfig.parentFolder) {
    targetPath.push(mockConfig.folder)
  } else {
    targetPath.push(mockConfig.parentFolder)
    targetPath.push(mockConfig.folder)
  }

  const baseDir = path.join.apply(null, targetPath)

  if (!fs.existsSync(baseDir)) {
    shell.mkdir('-p', baseDir)
  }
  fs.writeFileSync(path.join(baseDir, mockConfig.fileName), html)
}

gulp.task('sites:solve', () => {
  const allMocks = require('../../tmp/mocks/allMocks')
  console.log('allmocks?', allMocks)

  Object.keys(allMocks).forEach((mockProp) => {
    //console.log('Solving for: ', mockProp, ' ------------------', index);

    const mockConfig = allMocks[mockProp]()
    //console.log('mockConfig', mockConfig)
    const composerOptions = {
      rng: _ => 0,
      'the-mixer': {
        compverseJson: {
          mix: {
            $Y_compositions: [clone(index)],
          },
        },
      },
      log: 2,
      logMix: true,
    }

    let html
    let cb = (err, solution, report) => {
      if(err) {
        throw err
      }
      console.log('solved')
      //console.log(report)
      html = solution;
      writeFile(mockConfig, html);
    };

    theComposer(mockConfig.siteData, composerOptions, cb)

  })
  console.log('mocks are here', allMocks)
})
