import webpack from 'webpack'
import CopyWebpackPlugin from 'copy-webpack-plugin'
import CleanWebpackPlugin from 'clean-webpack-plugin'

export default {
  cache: true,
  debug: false,
  entry: {
    'ds-renderer': './src/renderer/index'
  },
  output: {
    path: './dist',
    filename: '[name].js'
  },
  module: {
    loaders: [
      {
        test: /\.js$/,
        loader: 'babel?cacheDirectory',
        exclude: /(node_modules)/
      },
      {
        test: /\.json$/,
        loader: 'json'
      }
    ],
    resolve: {
      extensions: ['', '.js']
    }
  },
  plugins: [
    new webpack.optimize.OccurrenceOrderPlugin(),
    new webpack.optimize.UglifyJsPlugin({ minimize: true }),
    new CleanWebpackPlugin(['dist']),
    new CopyWebpackPlugin([
      { from: './src/renderer/assets', to: 'assets', force: true }
    ])
  ]
}
