import packgjson from '../../../package.json';

let getHead = (config) => {
  let assetUrl;
  let componentUrl;

  if (process.env.DEV && process.env.DEV === '1') {
    assetUrl = '/assets/';
    componentUrl = '/ds-renderer.js';
  } else {
    assetUrl = `https://cdn.thegrid.io/design-systems/the-composer/ds-d4/v${packgjson.version}/assets/`;
    componentUrl = `https://cdn.thegrid.io/design-systems/the-composer/ds-d4/v${packgjson.version}/ds-d4-components.dist.min.js`;
  }

  // TODO: font css loading script, see https://www.filamentgroup.com/lab/font-loading.html
  let fonts = `<link href="${assetUrl}fonts/woff2.css" rel="stylesheet">`

  return `
  ${fonts}
  <style>
    * {
      color: inherit;
      margin: 0px;
      padding: 0px;
      box-sizing: border-box;
      /*
      font-size: inherit;
      line-height: inherit;
      */
    }
    a {
      text-decoration: none;
      cursor: pointer;
    }
    a:visited {
      color: inherit;
    }
    ul li {
      list-style: none;
    }
    ul, ul li {
      margin: 0;
      padding: 0;
    }

    h1,h2,h3,h4,h5,h6,
    p,a,div,button,
    * {
      font-weight: inherit;
    }
  </style>
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <meta http-equiv="content-type" content="text/html; charset=utf-8" />
  <meta name="generator" content="The Grid the-composer/ds-d4/${packgjson.version}">
  <meta name="the-grid-solution" content="">
  <script src="https://ajax.googleapis.com/ajax/libs/webfont/1.6.16/webfont.js"></script>
  <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/babel-polyfill/6.9.1/polyfill.js"></script>
  <script type="text/javascript" src="${assetUrl}scripts/element-resize-detector.min.js"></script>
  `;
};

export default getHead;
