import React from 'react';
import ReactDOMServer from 'react-dom/server';
import { match, RouterContext } from 'react-router';
import routes from '../../renderer/site/routes'

class ReactServerRender {
  constructor() {
    this.elmIds = {};
    this.onGetNextId = this.getNextId.bind(this);
  }

  getNextId(elmName) {
    if (this.elmIds[elmName]) {
      this.elmIds[elmName] = this.elmIds[elmName] + 1;
    } else {
      this.elmIds[elmName] = 1;
    }
    return `${elmName}-${this.elmIds[elmName]}`
  }

  render(appData) {
    routes.initState = appData;
    routes.serverSide = true;
    let html;
    match({ routes, location: '/' }, (error, redirectLocation, renderProps) => {
      if(renderProps) {
        html = ReactDOMServer.renderToString(<RouterContext {...renderProps} />);
      } else {
        console.error('404?', error, redirectLocation, renderProps)
      }
    });

    return html;
  }
}

export default ReactServerRender;
