import BaseBlock from './base-block';
import React from 'react';

class ArticleCoverBlock extends BaseBlock {

  static getDataToRender(block) {
    if (block) {
      let cover = block.get('cover');
      if (cover) return {cover};
    }
    return null;
  }

  render() {
    let data = this.props.dataToRender ?
               this.props.dataToRender :
               ArticleCoverBlock.getDataToRender(this.props.block);

    if (data) {
      let {cover} = data;

      let styles = this.props.styles || '';
      if (this.props.siteClasses && this.props.siteClasses.indexOf('Bass') === -1) {
        styles += ' op-30'
      }

      let focalPoint = cover.get('focalPoint');

      if (this.props.forBg) {
        return (
          <div className={`Bg ov-h ${styles}`}>
            <div className='Cover min-h-80px'>
              <img className='color-loading' src={cover.get('src')} style={{objectPosition: `${focalPoint[0]} ${focalPoint[1]}`}}/>
            </div>
          </div>
        );
      } else {
        return (
          <div className='Cover'>
            <img className='color-loading' data-width={cover.get('width')} data-height={cover.get('height')} data-ratio={cover.get('width')/cover.get('height')} src={cover.get('src')} style={{objectPosition: `${focalPoint[0]} ${focalPoint[1]}`}}/>
          </div>
        );
      }
    }
    return null;
  }
}

export default ArticleCoverBlock;
