import BaseBlock from './base-block';
import React from 'react';

class ArticleCoverBlock extends BaseBlock {

  static getDataToRender(block) {
    let cover = block.get('cover');
    if (cover) return {cover};
    return null;
  }

  render() {
    let data = this.props.dataToRender ?
               this.props.dataToRender :
               ArticleCoverBlock.getDataToRender(this.props.block);

    if (data) {
      let {cover} = data;
      let focalPoint = cover.get('focalPoint');

      if (this.props.forBg) {
        return (
          <div className='Bg op-30'>
            <div className='Cover'>
              <img src={cover.get('src')} style={{objectPosition: `${focalPoint[0]} ${focalPoint[1]}`}}/>
            </div>
          </div>
        );
      } else {
        return (
          <div className='Cover'>
            <img src={cover.get('src')} style={{objectPosition: `${focalPoint[0]} ${focalPoint[1]}`}}/>
          </div>
        );
      }
    }
    return null;
  }
}

export default ArticleCoverBlock;
