import React from 'react';
import BaseBlock from './base-block';

class CaptionBlock extends BaseBlock {

  static getDataToRender(metadata) {
    return metadata ? metadata.get('caption') : undefined;
  }

  render() {
    let data = this.props.dataToRender ?
               this.props.dataToRender :
               CaptionBlock.getDataToRender(this.props.item);

    if (data) {
      let styles = this.props.styles || '';
      if (this.props.siteClasses && this.props.siteClasses.indexOf('Bass') !== -1) {
        styles += ' p-1 color-box'
      }
      return (
        <div className={`Paragraph Caption m-t-1 l-h-m ${styles}`}>
          <p dangerouslySetInnerHTML={{__html: data}} />
        </div>
      );
    }
    return null;
  }
}

export default CaptionBlock;
