import BaseBlock from './base-block';
import React from 'react';

class ImageBlock extends BaseBlock {

  static getDataToRender(block) {
    if (block) {
      let cover = block.get('cover');
      if (cover) return {cover};
    }
    return null;
  }

  render() {
    let data = this.props.dataToRender ?
               this.props.dataToRender :
               ImageBlock.getDataToRender(this.props.block);

    if (data) {
      let {cover} = data;
      let focalPoint = cover.get('focalPoint') || ['50%', '50%'];
      let sources = cover.get('pictureImgfloUrls');
      let sourcesArray = [];

      if (sources) {
        for (let i = 0, len = sources.length; i < len; i++) {
          sourcesArray.push(<source
            key={i}
            media={`(min-width: ${sources[i].width}px)`}
            srcSet={sources[i].src}
              style={{
                objectPosition: `${focalPoint[0]} ${focalPoint[1]}`
              }}
            />);
        }
      }

      return (
        <picture {...this.elProps()}>
          {sourcesArray}
          <img className='color-loading' data-width={cover.get('width')} data-height={cover.get('height')} data-ratio={cover.get('width')/cover.get('height')} src={cover.get('src')}
            style={{
              objectPosition: `${focalPoint[0]} ${focalPoint[1]}`
            }}
          />
        </picture>
      );
    }
    return null;
  }
}

export default ImageBlock;
