import ArticleBlock from './article-block';
import AudioBlock from './audio-block';
import AvatarBlock from './avatar-block';
import ArticleCoverBlock from './article-cover-block';
import AttributionBlock from './attribution-block';
import CaptionBlock from './caption-block';
import CodeBlock from './code-block';
import Cookie from './cookie';
import CtaBlock from './cta-block';
import FallbackBlock from './fallback-block';
import ImageBlock from './image-block';
import InteractiveBlock from './interactive-block';
import LinkBlock from './link-block';
import ListBlock from './list-block';
import LocationBlock from './location-block';
import Logo from './logo';
import MediaBlock from './media-block';
import MenuItemBlock from './menu-item-block';
import MetaAttribution from './meta/meta-attribution';
import MetaTitle from './meta/meta-title';
import MetaDescription from './meta/meta-description';
import Modal from './modal';
import NavLinkBlock from './nav-link-block';
import QuoteBlock from './quote-block';
import TextBlock from './text-block';
import TextualBlock from './textual-block';
import TitleBlock from './title-block';
import VideoBlock from './video-block';
import VideoCoverBlock from './video-cover-block';

let blockMap = {
  article: ArticleBlock,
  audio: MediaBlock,
  code: CodeBlock,
  cta: CtaBlock,
  fallback: FallbackBlock,
  headline: TitleBlock,
  h1: TitleBlock,
  h2: TitleBlock,
  h3: TitleBlock,
  h4: TitleBlock,
  h5: TitleBlock,
  h6: TitleBlock,
  image: ImageBlock,
  interactive: InteractiveBlock,
  location: LocationBlock,
  quote: TextualBlock,
  list: TextualBlock,
  text: TextualBlock,
  video: MediaBlock,
}

export {
  ArticleBlock,
  AudioBlock,
  AvatarBlock,
  ArticleCoverBlock,
  AttributionBlock,
  CaptionBlock,
  CodeBlock,
  Cookie,
  CtaBlock,
  ImageBlock,
  InteractiveBlock,
  LinkBlock,
  ListBlock,
  LocationBlock,
  Logo,
  MediaBlock,
  MenuItemBlock,
  MetaAttribution,
  MetaTitle,
  MetaDescription,
  Modal,
  NavLinkBlock,
  QuoteBlock,
  TextBlock,
  TextualBlock,
  TitleBlock,
  VideoBlock,
  VideoCoverBlock,
  blockMap,
};
