import BaseBlock from './base-block';
import {VideoBlock, AudioBlock} from './index';
import React from 'react';

class MediaBlock extends BaseBlock {

  static getDataToRender(block) {
    return block ? {block} : null;
  }

  render() {
    let data = this.props.dataToRender ?
               this.props.dataToRender :
               MediaBlock.getDataToRender(this.props.block);

    if (data) {
      let {block} = data;
      let blockType = block.get('type');
      let styles = this.props.styles || '';

      if (blockType === 'video') {
        return (
          <VideoBlock item={this.props.item} styles={styles} block={block} />
        );
      } else if (blockType === 'audio') {
        return (
          <AudioBlock item={this.props.item} styles={styles} block={block} />
        );
      } else {
        throw new Error('Unsupported media type: ', blockType);
      }
    }
    return null;
  }
}

export default MediaBlock;
