import BaseBlock from './base-block';
import {NavLinkBlock} from './index';
import React from 'react';

class MenuItemBlock extends BaseBlock {

  render() {
    let navItem = this.props.navItem;
    if (navItem) {
      // https://github.com/the-grid/designsystems-stories/issues/307
      // get the name instead of title
      let href = navItem.get('href');
      let title = navItem.get('title');
      let styles = this.props.styles || '';
      let spanStyles = this.props.spanStyles || '';

      return (
        <div className={`Link color-text-pop ${styles}`}>
          <span className={spanStyles}><NavLinkBlock siteUrl={this.props.siteUrl} url={navItem.get('url')} href={href} title={title} name={navItem.get('name')} /></span>
        </div>
      );
    }
    return null;
  }
}

export default MenuItemBlock;
