import BaseBlock from '../base-block';
import {LinkBlock} from '../index';
import React from 'react';

class MetaAttribution extends BaseBlock {

  static getDataToRender(block) {
    if (block) {
      return block.get('metadata.htmlAttributions');
    }
    return null;
  }

  render() {
    let data = this.props.dataToRender ?
               this.props.dataToRender :
               MetaAttribution.getDataToRender(this.props.block);

    if (data) {
      return (
        <div className={`Attribution op-60 ${this.props.styles}`}>
          <h5><span className='Author' dangerouslySetInnerHTML={{__html: data}}></span></h5>
        </div>
      );
    }

    return null;
  }
}

export default MetaAttribution;
