import BaseBlock from '../base-block';
import {LinkBlock} from '../index';
import React from 'react';

class MetaDescription extends BaseBlock {

  static getDataToRender(block) {
    if (block) {
      return block.get('metadata.description');
    }
    return null;
  }

  render() {
    let data = this.props.dataToRender ?
               this.props.dataToRender :
               MetaDescription.getDataToRender(this.props.block);

    if (data) {
      return (
        <div className={`Paragraph f-s-xs l-h-m ${this.props.styles}`} dangerouslySetInnerHTML={{__html: data}} />
      );
    }

    return null;
  }
}

export default MetaDescription;
