import React from 'react';
import { Link } from 'react-router'

// You can pass an item as props which will extract the URL for it.
// If page is permalink and access directly, use a href to return to root app.
class NavLinkBlock extends React.Component {

  render() {
    let href;
    let title = this.props.title;

    if (this.props.item) {
      href = this.props.item.get('url');
    } else {
      href = this.props.href;
    }
    let ref = '';
    if ((typeof window !== 'undefined' && window.theGridSiteType === 'permalink') && href.indexOf('http') === -1 && href.indexOf('mailto:') === -1 && href.indexOf('tel:') === -1 && href.indexOf('sms:')) {
      ref = '../';
    }
    if (href) {
      if ((typeof window !== 'undefined' && window.theGridSiteType === 'permalink') || href.indexOf('http') === 0) {
        return (
          <a href={ref + href}>{title}</a>
        );
      } else {
        //site internal link and not permalink so we can use react-router.
        if (href.indexOf('/') != -1) {
          href = href.substring(0, href.indexOf('/'));
        }
        if (href.length === 0) href = 'index';
        return (
          <Link to={href}>{title}</Link>
        );
      }
    } else {
      return (
        <span>{title}</span>
      )
    }
  }
}

export default NavLinkBlock;
