import React from 'react';
import BaseBlock from './base-block';
import {QuoteBlock, TextBlock, ListBlock} from './index';

class TextualBlock extends BaseBlock {

  render() {
    let block = this.props.block;
    let blockType = block.get('type');
    if (block) {
      if (blockType === 'quote') {
        return (
          <QuoteBlock block={block} />
        )
      }
      if (blockType === 'text') {
        return (
          <TextBlock block={block} />
        )
      }
      if (blockType === 'list') {
        return (
          <ListBlock block={block} />
        )
      }
    }

    return null;
  }
}

export default TextualBlock;
