import React from 'react';
import BaseBlock from './base-block';
import {LinkBlock} from './index';

class TitleBlock extends BaseBlock {

  static getDataToRender(block) {
    return block ? block.get('title') : undefined;
  }

  render() {
    let data = this.props.dataToRender ?
               this.props.dataToRender :
               TitleBlock.getDataToRender(this.props.block);

    if (data) {
      let block = this.props.block;
      let item = this.props.item;
      let blockType = this.props.type ? this.props.type : block.get('type');

      let getTitle = (blockType) => {
        let Tag = '' + blockType;
        return (
          <Tag {...this.elProps()}>
            <LinkBlock block={block} item={item}>
              {data}
            </LinkBlock>
          </Tag>
        );
      }

      return getTitle(blockType)
    }

    return null;
  }
}

export default TitleBlock;
