import React from 'react';
import BaseBlock from './base-block';
import {LinkBlock} from './index';

class VideoBlock extends BaseBlock {
  static getDataToRender(block) {
    if (block && block.get('html')) {
      let video = block.get('html');
      if (video) return {video};
    }
    return null;
  }

  render() {
    let data = this.props.dataToRender ?
               this.props.dataToRender :
               VideoBlock.getDataToRender(this.props.block);

    if (data) {
      let videoHtml = data.video;
      //console.log("VIDEO HTML: ", videoHtml, this.props.block);

      let srcRegex = / src="([^"]*)"/;
      let attrs = srcRegex.exec(videoHtml);
      if (attrs) {
        let src = attrs[1];
        let autoPlaySrc = src + "&autoplay=1";
        videoHtml = videoHtml.replace(src, autoPlaySrc);
      }

      return (
        <div className='Cover' dangerouslySetInnerHTML={{__html: videoHtml}} />
      );
    }
    return null;
  }
}

export default VideoBlock;
