import React from 'react';
import BaseBlock from './base-block';
import {LinkBlock} from './index';

class VideoCoverBlock extends BaseBlock {

  onPlayVideoClick() {
    let that = this;
    setTimeout(() => {
      that.props.playVideo();
    }, 500);
    this.setState({playVideo: true});
  }

  static getDataToRender(block) {
    if (block) {
      let cover = block.get('cover');
      if (cover) return {cover};
    }
    return null;
  }

  render() {
    let data = this.props.dataToRender ?
               this.props.dataToRender :
               VideoCoverBlock.getDataToRender(this.props.block);

    if (data) {
      let focalPoint = ['50%', '50%'];
      let src = '';

      let {cover} = data;
      if (cover) {
        src = cover.get('src');
        focalPoint = cover.get('focalPoint');
      }

      let classes = 'Cover ov-h pos-r';
      if (!src) {
        classes += ' min-h-240px color-box-pop';
      }
      if (this.state && this.state.playVideo) {
        classes += ' fade-out';
      }

      return (
        <div className={classes}>
          <button className='color-bg color-title pos-a circle w-4rem h-4rem center-hv m-0 cur-p bx-sh-soft' onClick={this.onPlayVideoClick.bind(this)}>
            <span
              className='center-hv pos-a w-1rem h-1rem'
              dangerouslySetInnerHTML={{__html: '<svg version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" viewBox="409.7 414 32.1 34.5" enable-background="new 409.7 414 32.1 34.5" xml:space="preserve"><polygon class="color-icon-pop" fill="#fff" points="418.6,448.5 441.8,431.3 418.6,414 "/></svg>'
            }} />
          </button>
          <img className='cur-p' src={src} onClick={this.onPlayVideoClick.bind(this)}
            style={{
              objectPosition: `${focalPoint[0]} ${focalPoint[1]}`,
            }}
          />
        </div>
      );
    }
    return null;
  }
}

export default VideoCoverBlock;
