import { React, Component } from '../../../deps'
import ItemContext from '../item-context'
import Cover from '../cover'
import Texts from '../texts'
import CTAs from '../ctas'
import Meta from '../meta'
import Hookable from '../hookable'

let displayName = 'ContentUnit'

let ContentUnit = Hookable.make('content-unit', {

  tag: ItemContext,

  tagProps: function () {
    return {
      item: this.props.item
    }
  },

  init: function () {
    this.renderCover = (struct) => {
      let cover = struct.get('cover')
      if (!cover) return null
      return <Cover struct={cover} />
    }

   //this.renderCTA = (struct) => {
   //  let ctas = struct.get('cta')
   //  if (!ctas) return null
   //  return null
   //}
   //
    this.renderText = (struct) => {
      let list = struct.get('text')
      if (!list) return null
      return <Texts list={list} />
    }

    this.renderMeta = (struct) => {
      return <Meta struct={struct} />
    }
  },

  willRender: function () {
    let struct = this.props.struct

    let cover = this.cover = this.renderCover(struct)
    //let ctas = this.ctas = this.renderCTA(struct)
    let texts = this.texts = this.renderText(struct)
    let meta = this.meta = this.renderMeta(struct)
    //console.log("struct     ----",struct.toJS(true))

    let className = `content-unit ${struct.get('type')}-unit`
    if (cover) className += ' has-cover'
    //if (ctas) className += ' has-cta'
    if (texts) className += ' has-text'
    if (meta) className += ' has-meta'
    this.className = className
  },

  className: function () {
    return this.className
  },

  //{this.ctas}
  layout: function () {
    return (
      <div className="elements-layout layout">
        {this.cover}

        {this.texts}
        {this.meta}
      </div>
    )
  },


})



/*

    let classParts = className.split(' ')
    let classConfig = {}
    classParts.forEach( (p) => {
      p = p.trim()
      if (p.includes('--')) {
        let [key, val] = p.split('--')
        classConfig[key] = val
      }
    })

    let deviceType = classConfig['dec-device']
    if (deviceType) {
      children = (
        <Device className='device' type={deviceType}>
          {children}
        </Device>
      )
    }
*/



ContentUnit.displayName = displayName

ContentUnit.propTypes = {
  struct: React.PropTypes.object.isRequired,
  item:  React.PropTypes.object.isRequired,
  className: React.PropTypes.string,

}

//ContentUnit.perfTypes = Object.keys( ContentUnit.propTypes )

export default ContentUnit


