import {React, contextual, Map, Component} from '../../../deps'
import actions from './actions'

class ItemContext extends Component {

  constructor(...args) {
    super(...args)
    this.perf = false
  }

  componentWillMount() {
    this.store.request('replace-state', this.props.item)
  }

  componentWillReceiveProps() {
    this.store.request('replace-state', this.props.item)
  }

  render() {
    return (
      <div {...this.elProps()}>
        {this.props.children}
      </div>
    )
  }

}

ItemContext.propTypes = {
  item: React.PropTypes.object.isRequired,
  children: React.PropTypes.any.isRequired,
}

export default contextual.enhance( ItemContext, 'item', { actions, state: Map()} )