import {
  React, Component, Style
} from '../../../deps'
import {AttributionBlock} from '../../blocks';
import Hookable from '../hookable'


let displayName = 'Meta'

let Meta = Hookable.make('meta', {

  getTag: function () {
    if (!this.isRenderable || !this.item) return null
    return 'div'
  },

  tagProps: function () {
    if (!this.onClick) {

      this.onClick = (e) => {
        e.preventDefault()
        this.context.request('item','item-click')
        return false
      }
    }
    return {onClick: this.onClick}
  },

  className: function () {
    return 'meta'
  },

  init: function () {

    this.item = undefined

    this.handleItemStore = (itemStore) => {
      this.setState({fuck: 'you'})
      this.item = itemStore.state
    }

    this.renderAvatar = (src) => {
      if (!src) return null
      return (
        <div className="avatar">
          <img src={src} />
        </div>
      );
    }

    this.renderAttribution = (attrHTML) => {
      if (!attrHTML) return null
      return (
        <div
          className={`attribution`}
        >
          <span className={`author`} dangerouslySetInnerHTML={{__html: attrHTML}} />
        </div>
      )
    }
  },

  didMount: function () {
    this.context.request('item','connect', this.handleItemStore, false)
  },

  willUnmount: function () {
    this.context.request('item','disconnect', this.handleItemStore)
  },

  willRender: function () {
    let {struct} = this.props

    this.isRenderable = (this.item) && (this.item.get('metadata.htmlAttributions') || this.item.get('metadata.avatarSrc'))
  },

  layout: function () {
    let htmlAttributions = this.item.get('metadata.htmlAttributions');
    let src = this.item.get('metadata.avatarSrc')
    return (
      <div id={this.id + '-meta-layout'} className="meta-layout layout">
        {this.renderAvatar( src )}
        {this.renderAttribution( htmlAttributions )}
      </div>
    )
  },

  propTypes: {
    struct: React.PropTypes.any,
  },

  displayName,

  contextTypes: {
    request: React.PropTypes.func.isRequired,
  },

})


export default Meta