import {React, contextual, Map} from '../../../deps'
import actions from './actions'
import StateStruct from './state'
import plugins from './plugins'

let state = new StateStruct({plugins})

let displayName = 'RendererContext'

class RendererContext extends React.Component {

  constructor(...args) {
    super(...args)
    this.perf = false
  }

  componentWillMount() {
    this.store.request('mount', this)
  }

  render() {
    return this.props.children
  }

}

RendererContext.displayName = displayName

RendererContext.propTypes = {
  $class: React.PropTypes.string.isRequired,
  children: React.PropTypes.object.isRequired,
}

let Enhanced = contextual.enhance( RendererContext, 'renderer', { actions, state } )

Enhanced.plugins = plugins

export default Enhanced