import {
  Struct
} from '../../../deps'

let StateStruct = Struct({

  // inputs

  $class: undefined,

  plugins: undefined,

  activePlugins: {
    deps: ['$class', 'plugins'],
    get: function ($class, plugins) {
      let active = {
        'section': [],
        'content-unit': [],
      }
      if (!$class) return active
      plugins.forEach( function (plugin, pluginName) {
        if (!plugin.get('shouldPlugin')($class)) return true
        let contentUnit = plugin.get('content-unit')
        if (contentUnit) active['content-unit'].push(contentUnit)
        let section = plugin.get('section')
        if (section) active['section'].push(section)
        return true
      })
      return active
    }
  },

})

export default StateStruct