import {React, contextual, Map, Component} from '../../../deps'
import actions from './actions'
import state from './state'

class SiteContext extends Component {

  constructor(...args) {
    super(...args)
    this.perf = false
  }

  componentWillMount() {
    console.log("SITE componentWillMount")
    this.store.request('mount', this)
  }

  render() {
    return this.props.children
  }

}

SiteContext.propTypes = {
  site: React.PropTypes.object.isRequired,
  children: React.PropTypes.any.isRequired,
}

export default contextual.enhance( SiteContext, 'site', { actions, state} )