import { React, Component } from '../../../deps'
import Isvg from 'react-inlinesvg'

let displayName = 'SiteLogo'

class SiteLogo extends Component {

  constructor(...args) {
    super(...args)
    this.state = {
      src: undefined,
      isSVG: undefined,
    }
  }

  componentDidMount() {
    // TODO: connect with updates???

    this.context.request('site','get-state', (state) => {
      let src = state.get('site.config.logo')
      if (!src) return
      src = src.trim()
      let isSVG = (src.substr(-3) === 'svg')
      this.setState({
        src,
        isSVG
      })
    })
  }

  render() {
    let {src, isSVG} = this.state
    if (!src) return null

    let ref = ''
    if (typeof window !== 'undefined' && window.theGridSiteType === 'permalink') {
      ref = '../'
    }

    let children = <img src={src} />

    if (isSVG) {
      children = (
        <Isvg src={src} cacheGetRequests={true}>
          {children}
        </Isvg>
      )
    }

    // TODO: handle SVG!
    return (
      <a {...this.elProps()} href={`${ref}index.html`}>
        {children}
      </a>
    )
  }
}

SiteLogo.contextTypes = {
  request: React.PropTypes.func.isRequired,
}

SiteLogo.displayName = displayName

export default SiteLogo
