import {React} from '../../../deps'
import chromaStyles from './chroma'
import typographyStyles from './typography'

let Styles = function (props) {

  let {scope, chroma, typography, children} = props

  if (!scope) throw new Error("components/styles requires {scope} in props")

  if (!chroma) chroma = 'default'
  if (!typography) typography = 'default'

  return (
    <span key='styles-sss'>
      {chromaStyles[chroma](scope)}
      {typographyStyles[typography](scope)}
      {children || null}
    </span>
  )

}

export default Styles