import React from 'react'
import {Component} from '@the-grid/multiverse-ui'

let displayName = 'Texts'
let renderCount = 0

class Texts extends Component {

  constructor(...args) {
    super(...args)
    this.onTitleClick = (block) => {
      this.context.request('item','item-click')
    }
  }

  render() {

    let {
      list
    } = this.props

    if (!list) return null

    return (
      <div {...this.elProps({className: 'texts blocks'})}>

        {list.map( (block) => {
          if (!block) return null

          //console.log('text blocks ... ', block.get('id'), block.get('type'), block.get('text'), block.get('title'))

          let type = block.get('type')
          if (type === 'text') type = 'p'
          let props = {
            className: 'block block-'+type,
            key: 'Texts-'+renderCount++,
            //children: block.get('text') || block.get('title'),
            //dangerouslySetInnerHTML: {__html: block.get('html')},
            dangerouslySetInnerHTML: {__html:  block.get('text') || block.get('title')},
          }
          if (type.indexOf('h') === 0) props.onClick = this.onTitleClick.bind(block)
          return React.createElement(type, props)
          //return <div {...props} />
        })}
      </div>
    )

  }
}

Texts.displayName = displayName

Texts.propTypes = {
  list: React.PropTypes.any,
}

Texts.contextTypes = {
  request: React.PropTypes.func.isRequired
}

export default Texts
