/*

■ ■ ■ ■ ■ ■ ■ ■ ■ ■ ■ ■ ■ ■ ■ ■ ■
■                               ■
■           ░░░░░░░░░           ■
■           ░░░░░░░░░           ■
■                               ■
■           XXXXXXXXX           ■
■           xxxxxxxxx           ■
■                               ■
■ ■ ■ ■ ■ ■ ■ ■ ■ ■ ■ ■ ■ ■ ■ ■ ■

*/

import {React, Component, Styleverse, Style} from '../../../deps';
import {AttributionBlock, blockMap} from '../../blocks';
import ContentUnit from '../../components/content-unit'
import Hookable from '../../components/hookable'
import style from './style'

let displayName = 'DualSection'

let Section = Hookable.make('section', {

  tag: 'section',

  //className: ' section--dual ',

  // TODO
  className: function () {
    let className = 'section--dual'
    let {contracts} = this.props
    let itemsClasses = contracts.itemsClasses
    let colorClasses = contracts['the-colorist'].$class
    if (itemsClasses) className += ' ' + itemsClasses.join(' ')
    if (colorClasses) className += ' ' + colorClasses.join(' ')
    return className.replace(/:/g,'_')
  },

  init: function () {

  },

  // willMount: function () {
  //   this.item = this.props.items
  // },

  styles: function () {
    let scope = this.scope
    return style(scope)
  },

  layout: function () {
    let {
      units,
      item,
    } = this.props
    let id = this.id
    return (
      <div id={id+'-unit-layout'} className='layout'>
        {units.map((unit,i)=>{
          return <ContentUnit key={"unit-"+i} struct={unit} item={item} />
        })}
      </div>
    )
  },

  styleverseProps: function () {

    let {
      contracts
    } = this.props

    let chromaLocality = contracts['the-colorist']['colorverse']['colors-locality']['locality']
    let chromaType = contracts['the-colorist']['colorverse']['colors-solution']['color']

    // TODO
    if (chromaType === 'white') chromaType='light'
    if (chromaType === 'black') chromaType='dark'
    let chromaProps = {type: chromaType}
    if (chromaLocality === 'local') {
      chromaProps.colors = contracts['the-colorist']['colorsSolution']['palette'].map((c) => `rgb(${c.r}, ${c.g}, ${c.b})`)
    }

    let styleverseProps = {
      breakpoint: {
        target: 'window',
        style: {
          width: '100vw',
          minHeight: '66.666666vh',
        },
        constrain: function (size) {
          size.width = size.width / 2
          return size
        }
      },
      layout: {},
      typography: {},
      chroma: chromaProps,
    }

    return styleverseProps
  },

})

Section.propTypes = {
  sectionId: React.PropTypes.string,
  contracts: React.PropTypes.object,
  siteData: React.PropTypes.object,
  itemsToRender: React.PropTypes.array,
}

Section.displayName = displayName

export default Section

//
// class Section extends Component {
//
//   constructor(...args) {
//     super(...args);
//
//     this.rendeLayout = (id, unitStructs, item) => { // [  ]
//
//     }
//   }
//
//   componentWillMount() {
//     let item = this.props.itemsToRender[0]
//     this.item = item
//     this.unitProps = unitProps(item)
//
//     this.breakpointProps = {
//       target: 'window',
//       style: {
//         width: '100vw',
//         minHeight: '66.666666vh',
//       },
//       constrain: function (size) {
//         size.width = size.width / 2
//         return size
//       }
//     }
//   }
//
//   render() {
//     let {
//       item,
//     } = this
//     let {
//       contracts
//     } = this.props
//
//     let chromaLocality = contracts['the-colorist']['colorverse']['colors-locality']['locality']
//     let chromaType = contracts['the-colorist']['colorverse']['colors-solution']['color']
//
//     // TODO
//     if (chromaType === 'white') chromaType='light'
//     if (chromaType === 'black') chromaType='dark'
//     let chromaProps = {type: chromaType}
//     if (chromaLocality === 'local') {
//       chromaProps.colors = contracts['the-colorist']['colorsSolution']['palette'].map((c) => `rgb(${c.r}, ${c.g}, ${c.b})`)
//     }
//
//     let styleverseProps = {
//       breakpoint: this.breakpointProps,
//       layout: {},
//       typography: {},
//       chroma: chromaProps,
//     }
//
//     let id = this.props.sectionId
//     let scope = '#' + id
//
//     return (
//       <section id={id} key={this.props.sectionId} className="section--device-laptop section--cols-2">
//         <Styleverse {...styleverseProps}>
//           {style(scope)}
//           <div id={id+'-bg'}></div>
//           {this.renderUnits(id)}
//         </Styleverse>
//       </section>
//     );
//   }
//
//
//
//   renderUnits(id) {
//     let {
//       unitProps,
//     } = this
//     return (
//       <div id={id+'-unit-layout'} className='layout'>
//         <ContentUnit {...unitProps.withTexts[0]} />
//         <ContentUnit {...unitProps.graphics[0]} />
//       </div>
//     )
//   }
// }
//
// Section.componentverse = {
//   id: displayName,
//   $class: [],
//   props: {},
//   Y_inlets: [
//     {
//       '$item-capacity': 1,
//
//       inlets: {
//         '1': (item, items, siteData) => {
//           return !!unitProps(item)
//         },
//       }
//     },
//   ],
//   'harmonies': [],
//   getCompData: function(itemsToRender, contracts, siteContracts, siteData) {
//     // console.log('Section contract: ', JSON.stringify(contracts))
//  //    console.log('\n\n ----------------------- \n\n')
//  //    console.log('site contract: ', JSON.stringify(siteContracts))
//  //    console.log('Site data is passed', siteData !== undefined)
//   },
// };
//
// Section.propTypes = {
//   sectionId: React.PropTypes.string,
//   contracts: React.PropTypes.object,
//   siteData: React.PropTypes.object,
//   itemsToRender: React.PropTypes.array,
// }
//
// Section.displayName = displayName
//
// export default Section