import React from 'react';
import {Style} from '../../../deps'
import Styles from '../../components/styles'

const style = function (scope) {

  return (
    <Styles chroma='default' typography='default' scope={scope}>
      <Style key='section-style' perf={true} scope={scope} small={720 / 2}>{`

        .section--dual {
          &:nth-child(even) .content-unit.has-cover {
            order -- -1
          }
          &:nth-child(odd) .content-unit.has-cover {
            order -- 2
            @? breakpoint.width <= props.small {
               order -- -1
             }
          }

        }

        :scope {
          pos -- r
        }
        :scope-bg {
          pos -- a
          t -- 0
          r -- 0
          l -- 0
          b -- 0
          bg-clr -- chroma-bg
        }
        :scope .content-unit.has-text .elements-layout {
          pad-l -- 2goldx
          pad-r -- 2goldx
          pad-t -- 2goldy
          pad-b -- 2goldy
          //mar-l -- 1goldx
          //mar-r -- 1goldx
          //mar-t -- 1goldy
          //mar-b -- 1goldy
          @? breakpoint.width <= props.small {
            pad -- 4em
          }
        }

        :scope-unit-layout {

          pos -- r
          d -- flx
          flx-dir -- row

          @? breakpoint.width <= props.small {
          flx-dir -- col
          }
          flx-aln -- stretch


          .content-unit {
            bg-clr -- chroma-box

            @? breakpoint.width > props.small {
              min-h -- 75vh
              max-h -- 100vh
              w -- 50vw
            }
            @? breakpoint.width <= props.small {
              flex-grow -- 0

              &.has-cover {
                w -- 100vw
                min-h -- 66.6666vh
              }
              &.has-text:not(.has-cover) {
                pos -- r
                w -- calc(100% - 8em)
                l -- 4em
                r -- 4em
                mar-t -- -4em
                mar-b -- 8em
                z-idx -- 1
              }
            }

            pos -- r
            d -- flx
            flx-dir -- col
            flx-jst -- mid

            .elements-layout {
              d -- flx
              flx-dir -- col
              flx-aln -- stretch
              flx-jst -- mid
            }

            .texts {
              d -- flx
              flx-dir -- col
              flx-jst -- mid
              @? breakpoint.width <= props.small {
                w -- 100%
              }
            }

            .cover img {
              pos -- a
              w -- 100%
              h -- 100%
              t -- 0
              r -- 0
              l -- 0
              b -- 0
              obj-fit -- cover
            }

          }

        }


        @? breakpoint.width > props.small {

          // --------------------- harmony constraints...
          :scope.item_dont-cover-crop.item_dont-cover-overlay {

            .texts {
              d -- flx
              flx-dir -- col
              flx-jst -- start
              flx-aln -- mid
              txt-aln -- center
            }

            h3:first-child {
              txt-aln -- center
              pos -- a
              t -- 1goldy

              clr -- chroma-meta

              bdr-b -- 4px solid chroma-line
              mar-b -- 1.5em
              fnt -- d
              fnt-sz -- d-s
            }

            h1:nth-child(2):nth-of-type(1)  {
              txt-aln -- center
              fnt-sz -- d-l
              @? breakpoint.width > props.small {
                fnt-sz -- d-xl
              }
            }

            p {
              whs -- nowrap
              text-overflow -- ellipsis
              overflow-x -- hidden
            }
            p:last-child {
              txt-aln -- center
              pos -- a
              b -- 1goldy
              l -- 2goldx
              r -- 2goldx
              fnt -- txt
              fnt-sz -- txt-s
              mar-b -- 0

              clr -- chroma-meta

            }

          }
        }

      `}</Style>
    </Styles>
  )

}

export default style
