/*

■ ■ ■ ■ ■ ■ ■ ■ ■ ■ ■ ■ ■ ■ ■ ■ ■
■                               ■
■           ░░░░░░░░░           ■
■           ░░░░░░░░░           ■
■                               ■
■           XXXXXXXXX           ■
■           xxxxxxxxx           ■
■                               ■
■ ■ ■ ■ ■ ■ ■ ■ ■ ■ ■ ■ ■ ■ ■ ■ ■

*/
import React from 'react';
import Component from '../../base-component';
import {Styleverse, Style} from '@the-grid/multiverse-ui';
import {AttributionBlock, blockMap} from '../../blocks';

class Fallback extends Component {

  constructor(...args) {
    super(...args);
  }

  render() {
    let item = this.props.itemsToRender[0];
    let starredBlocks = item.get('starred');

    console.log("FALLBACK", {
      mono: !!item.get('getMono'),
      dual: !!item.get('getDual'),
      multi: (item.get('getMulti') || {size:-1}).size,
      item: item.toJS(),
    })

    //let starredHtml = '';
    let blocks = [];
    let blockCounts = 0;
    for (let i = 0; i < starredBlocks.count(); i++) {
      let block = starredBlocks.get(i);
      let blockId = 'fallback-block' + blockCounts++;
      blocks.push(React.createElement(
        blockMap[block.get('type')],
        {
          block: block,
          key: blockId,
          id: blockId,
        }
      ));
    }

    let id = this.props.sectionId
    let scope = '#' + id
    return (
      <section {...this.elProps({className: 'section--fallback'})} key={this.props.sectionId}>
        <Styleverse>
          <Style perf={true} scope={scope}>{`

            :scope {
              pad-l -- 1goldx
              pad-r -- 2goldx
              pad-t -- 1goldy
              pad-b -- 2goldy
              pos -- r

              h1, h2, h3, h4, h5, h6, p, img, picture, iframe, quote, ol, ul {
                mar-b -- 1em
                max-w -- 100%
              }

              img {
                w -- 100% // otherwise gets stretched???
              }

              article {
                d -- flx
                flx-dir -- col

                picture, img {
                  order -- -1
                }
              }
            }

          `}</Style>
          <div id={this.id+'-blocks'}>
            {blocks}
          </div>
          <AttributionBlock item={item} />
        </Styleverse>
      </section>
    );
  }
}

Fallback.componentverse = {
  id: 'Fallback',
  $class: [],
  props: {},
  Y_inlets: [
    {
      '$item-capacity': 1,
      inlets: {
        '1': (item, items, siteData) => {
          return item.get('isFeed');
        },
      }
    },
  ],
  'harmonies': [],
  getCompData: function(itemsToRender, contracts, siteContracts, siteData) {
    // console.log('Section contract: ', JSON.stringify(contracts))
//     console.log('\n\n ----------------------- \n\n')
//     console.log('site contract: ', JSON.stringify(siteContracts))
//     console.log('Site data is passed', siteData !== undefined)
  },
};

Fallback.propTypes = {
  sectionId: React.PropTypes.string,
  contracts: React.PropTypes.object,
  siteData: React.PropTypes.object,
  itemsToRender: React.PropTypes.array,
}

export default Fallback;
