import React from 'react';
import Component from '../../base-component'
import {NavLinkBlock, Logo, SocialBlock} from '../../blocks';

class Footer3col extends Component {
  constructor(...args) {
    super(...args);

  }

  render() {

    // TODO
    return null


    return (
      <section id={this.props.sectionId} className={'footer-layout layout'}>
        {this.renderLinks()}
        {this.renderSecondary()}
        {this.renderProfileLinks()}
        {this.renderSocialLinks()}
      </section>
    );
  }

  renderLinks() {
    let links = this.props.siteData.get('links');
    if (links && links.size) {
      return (
        <div className='link-layout'>
          {
            links.map((link, i) => {
              let href = link.get('href')
              let title = link.get('title')

              return (
                <div key={'link_' + i} className="link-layout-item">
                  <NavLinkBlock href={href} title={title} />
                </div>
              );
            })
          }
        </div>
      )
    }
    return null
  }

  renderSecondary() {
    let secondaryLinks = this.props.siteData.get('config').get('secondary_navigation');
    if (secondaryLinks && secondaryLinks.size) {

      return (
        <div className='link-secondary-layout'>
          {
            secondaryLinks.map((link, i) => {
              let url = link.get('url')
              let name = link.get('name')
              return (
                <div key={'link_' + i} className='link-secondary-layout-item'>
                  <NavLinkBlock href={url} title={name} />
                </div>
              );
            })
          }
        </div>
      )

    }
  }

  renderProfileLinks() {
    let profileLinks = this.props.siteData.get('config').get('profiles');
    if (profileLinks && profileLinks.size) {
      return (
        <div className='link-profile-layout'>
          {
            profileLinks.map((link, i) => {
              let url = link.get('url')
              let name = link.get('name')
              return (
                <div key={'link_' + i} className="link-profile-layout-item">
                  <NavLinkBlock href={url} title={name} />
                </div>
              );
            })
          }
        </div>
      )
    }
  }

  renderSocialLinks() {
    let socialLinks = this.props.siteData.get('config').get('social_links');
    if(socialLinks && socialLinks.size) {
      return (
        <div className='link-social-layout'>
          {
            socialLinks.map((link) => {
              return (
                <a href={link}><span className='icon-TODO' display='none'/></a>
              )
            })
          }
        </div>
      )
    }
    return null;
  }
}

Footer3col.componentverse = {
  id: 'Footer3col',
  $class: [],
  props: {},
  Y_inlets: [
    {
      '$item-capacity': 1,
      inlets: {
        '1': (item, items, siteData) => {
          return item.get('isFooter');
        },
      }
    }
  ],
  'harmonies': [],
};

Footer3col.propTypes = {
  sectionId: React.PropTypes.string,
  contracts: React.PropTypes.object,
  siteData: React.PropTypes.object,
  itemsToRender: React.PropTypes.array,
}

export default Footer3col;
