import {React, Styleverse, Component} from '../../../deps'
import style from './style'
import {TitleBlock, AttributionBlock, CtaBlock, ImageBlock} from '../../blocks';
import SiteLogo from '../../components/site-logo'

class SiteHeader extends Component {

  // componentDidMount() {
//
//   }

  render() {

    let sectionClasses = ''

    let item = this.props.itemsToRender[0];
    let id = this.id = this.props.sectionId
    let scope = this.scope = '#' + id

    let styleverseProps = {
      chroma: {
        type: 'dark',
      }
    }

    return (
      <section id={id} className={sectionClasses}>
        <Styleverse {...styleverseProps}>
          {style(scope)}
          <div id={id+'-bg'}>
            {this.renderMedia(item)}
          </div>
          <div id={id+'-layout'} className="layout">
            <div className="layout-head">
              <SiteLogo id={id+'-logo'} />
            </div>
            <div className="layout-body">
              {this.renderTitles(item)}
            </div>
            <div className="layout-tail">
              {this.renderCTAs(item)}
            </div>
          </div>
        </Styleverse>
      </section>
    );
  }

  renderMedia(item) {
    //console.log('site data from fallback: ', this.props.siteData.get('items'));

    let mediaId = this.id + '-bg-media'

    //src="https://s3.amazonaws.com/www-assets.invisionapp.com/Homepage/enterprise-loop.mp4"
    let videoHTML = `
      <video loop autoplay>
        <source type="video/mp4" src="//s3-us-west-2.amazonaws.com/cdn.thegrid.io/posts/cta-ui-bg.mp4" />
        <source type="video/webm" src="//s3-us-west-2.amazonaws.com/cdn.thegrid.io/posts/cta-ui-bg.webm" />
      </video>
    `

    return (

      <div id={mediaId}
        dangerouslySetInnerHTML={{__html: videoHTML}}
      />

    )

    let coverBlocks = item.get('allSBWithCovers');

    if (coverBlocks && coverBlocks.count() > 0) {
      let mediaBlock = coverBlocks.get(0);
      return (
        <ImageBlock id={mediaId} block={mediaBlock} />
      )
    }
    return null;
  }

  renderTitles(item) {

    let titleBlock = item.get('titlesSB').get(0);
    let subTitleBlock = item.get('titlesSB').get(1);

    if (TitleBlock.getDataToRender(titleBlock)){
      return (
        <div id={this.id+'-titles'}>
          <TitleBlock id={this.id+'-headline'} item={item} block={titleBlock} />
          <TitleBlock id={this.id+'-tagline'} item={item} block={subTitleBlock} />
        </div>
      )
    }
    return null
  }

  renderCTAs(item) {

    let ctas = item.get('ctasSB')
    if (!ctas || !ctas.size) return null

    return (
      <div id={this.id+'-ctas'}>
        <CtaBlock block={ctas.get(0)} />
        <CtaBlock block={ctas.get(1)} />
      </div>
    )
  }
}

SiteHeader.componentverse = {
  id: 'SiteHeader',
  $class: [],
  props: {},
  Y_inlets: [
    {
      '$item-capacity': 1,
      inlets: {
        '1': (item) => {
          return item.get('isSiteHeader');
        },
      }
    },
  ],
  'harmonies': [],
};

SiteHeader.propTypes = {
  sectionId: React.PropTypes.string,
  contracts: React.PropTypes.object,
  siteData: React.PropTypes.object,
  itemsToRender: React.PropTypes.array,
}

export default SiteHeader;
