import React from 'react';
import {Style} from '@the-grid/multiverse-ui'
//import {spring, Motion} from 'react-motion'
//import {fromTo} from 'lib/math'

const style = function (scope) {
  let isApple = window.navigator && window.navigator.vendor.includes('Apple')
  return (
    <span>
    <Style key="color" perf={true} scope={scope} isApple={isApple}>{`

      :scope {
        txt-sh--0 1px .5px hsla(0,0%,0%,.9)
        bg-clr -- chroma-box

        :scope-bg {
          box-sh -- 0 1px 2px hsla(0,0%,0%,.5)
          bg-clr -- chroma-box

          :scope-bg-media {
            @? props.isApple {
              video {
                o -- .4
              }
            }
            @? {
              chroma-filter--gradient-map
            }

            bg-clr -- chroma-box
          }
        }

        :scope-logo svg * {
          //fill -- chroma-text-pop !important
          stroke -- chroma-text-pop !important
        }

        :scope-headline {
          clr -- chroma-title


          bdr-b-sty -- solid
          bdr-b-clr--chroma-line
          bdr-b-w -- 4

          &:hover {
            bdr-b-clr--chroma-light-meta
          }
        }

        :scope-tagline {
          clr -- chroma-text
          bdr-b-sty -- solid
          bdr-b-clr--transparent
          bdr-b-w--4
        }

        .cta {
          box-szg -- content-box

          trans-- color .3s, background-color .3s

          & {
            bg-clr -- chroma-box-pop

            > * {
              clr -- chroma-box-pop-text
            }
          }

          &:nth-child(even) {
            bg-clr -- chroma-box-pop2

            > * {
              clr -- chroma-box-pop2-text
            }
          }

          &:hover {
            bg-clr -- chroma-text-pop

            > * {
              clr -- chroma-box
            }

          }

        }
      }


    `}</Style>
    <Style key="layout" perf={true} scope={scope}>{`

    :scope {

      pos--r
      //h -- 88.88888888888888888vh
      h -- 96vh
      min-h -- 640

    }

    :scope-bg {
      pos--a
      bf-viz -- hidden
      tf -- translate3d(0px,0px,0px)
      o--1
      l--0
      r--0
      t--0
      h--100%

      ovf--hidden
      tf--translateZ(0)

      //trans--height .5s cubic-bezier(0.190, 1.000, 0.220, 1.000)
      //z-idx -- -1 // for svg-filters

      :scope-bg-media {
        pos--a
        bf-viz -- hidden
        tf -- translate3d(0px,0px,0px)
        o--1
        l--0
        r--0
        t--0
        h--100%
        trans--height .5s cubic-bezier(0.190, 1.000, 0.220, 1.000)
        bg-sz--cover
        bg--pos--50% 50%
        ovf--hidden
        tf--translateZ(0)


        //z-idx -- -1 // for svg-filters

        img, video {
          obj-fit -- cover
          w -- 100%
          h -- 100%
        }
      }

    }

    :scope-layout {

      pos--a
      t--0
      b--0
      l-- 1goldx
      w-- -2goldx

      box-szg--b
      txt-aln--c

      d--flx
      flx-dir -- col
      flx-aln -- mid
      flx-jst -- around
      z-idx -- 10


      .layout-head {
        flex-grow -- 1
        flex-shrink -- 1
        flex-basis -- 0

        d -- flx
        flx-dir -- col
        flx-jst -- mid
        flx-aln -- mid

      }
      .layout-body {
        flex-grow -- 0
        flex-shrink -- 0
        flex-basis -- auto
      }
      .layout-tail {
        flex-grow -- 1
        flex-shrink -- 1
        flex-basis -- 0

        d -- flx
        flx-dir -- col
        flx-jst -- start
        flx-aln -- mid
      }

    }

    :scope-logo {
      w -- 6em
      h -- 6em
    }

    :scope-titles {
      mar--0
      flt--none !important
      t--0
      pos--relative
      //flx-grow -- 1
      flx-shrink -- 1
      fnt-sz--d-s
      mar -- 2em
      mar-t -- 1em
      mar-b -- 1em
      d--flx
      flx-aln--mid
      flx-jst--mid
      flx-dir--col


      :scope-headline {
        min-w--4em
        d--iflx
        flx-jst--mid
        ln-h--1.25em
        fnt-sz--d-xl
        fnt--d2
        flt--n
        txt-aln--center
        mar--0

        // for underline?
        pad-b -- .2em
      }

      :scope-tagline {
        min-w--4em
        d--iflx
        flx-jst--mid
        txt-decor--n
        mar-t--.5em
        fnt--txt
        fnt-sz--d-s
        ln-h--1.5em
        txt-aln--center
      }

    }

    :scope-ctas {
      flt--none !important
      t--0
      pos--relative
      mar-t--0
      //flx-grow -- 1
      flx-shrink -- 1
      //flx-basis -- 0px
      d--flx
      flx-aln--mid
      flx-jst--strt
      flx-dir--row

      .cta {
        txt-sh--n
        fnt--d3
        fnt-sz--txt
        pad-t--.75em
        pad-b--.75em
        pad-l--1.5em
        pad-r--1.5em
        mar -- 1em
        box-szg -- content-box
      }

    }

    `}</Style>
    </span>
  )

}

export default style
