import {React, Component, Styleverse, Style} from '../../../deps';
import RendererContext from '../../components/renderer-context'
import MonoSection from '../mono'

let displayName = 'MonoBasic'

//let unitClassifier = RendererContext.plugins.get('dec-device').get('unitClassifier')

let fromItem = function (item) {

  if (!item.get('isFeed')) return false
  let unit = item.get('getMono')
  if (!unit) return false

  let $class = item.get('$class')
  //console.log("$class",item.get('$class').toJS())

  //if (!$class.includes('item:w-cover-landscape')) return false
  if ($class.includes('item:w-cover-portrait')) return false
  //if ($class.includes('item:w-cover-portrait')) return false
  if ($class.includes('item:dont-cover-overlay')) return false

  return unit

  //for (let i = 0; i < units.size; i++) {
  //  let className = units.get(i)
  //  if (className) {
  //    found = true
  //    break
  //  }
  //}
  //
  //if (!found) return false
  //
  //return units

}


class Section extends React.Component {

  render() {
    let item = this.props.itemsToRender[0]
    return (
      <RendererContext $class="">
        <MonoSection {...this.props} item={item} unit={fromItem(item)} />
      </RendererContext>
    )
  }

}

Section.componentverse = {
  id: displayName,
  $class: [],
  props: {},
  Y_inlets: [
    {
      '$item-capacity': 1,

      inlets: {
        '1': (item, items, siteData) => {
          return !!fromItem(item)
        },
      }
    },
  ],
  'harmonies': [],
  getCompData: function(itemsToRender, contracts, siteContracts, siteData) {
    // console.log('Section contract: ', JSON.stringify(contracts))
 //    console.log('\n\n ----------------------- \n\n')
 //    console.log('site contract: ', JSON.stringify(siteContracts))
 //    console.log('Site data is passed', siteData !== undefined)
  },
};

Section.propTypes = {
  sectionId: React.PropTypes.string,
  contracts: React.PropTypes.object,
  siteData: React.PropTypes.object,
  itemsToRender: React.PropTypes.array,
}

Section.displayName = displayName

export default Section
