import {React, Component, Styleverse, Style} from '../../../deps';
import {AttributionBlock, blockMap} from '../../blocks';
import ContentUnit from '../../components/content-unit'
import Hookable from '../../components/hookable'
import style from './style'

let displayName = 'MonoSection'

let Section = Hookable.make('section', {

  tag: 'section',

  className: function () {
    let className = 'section--mono'
    let {contracts} = this.props
    let itemsClasses = contracts.itemsClasses
    let colorClasses = contracts['the-colorist'].$class
    if (itemsClasses) className += ' ' + itemsClasses.join(' ')
    if (colorClasses) className += ' ' + colorClasses.join(' ')
    return className.replace(/:/g,'_')
  },

  init: function () {

  },

  // willMount: function () {
  //   this.item = this.props.items
  // },

  styles: function () {
    let scope = this.scope
    return style(scope)
  },

  layout: function () {
    let {
      unit,
      item,
    } = this.props
    let id = this.id
    return (
      <div id={id+'-unit-layout'} className='layout'>
        <ContentUnit key={"unit-"+ 0} struct={unit} item={item} />
      </div>
    )
  },

  styleverseProps: function () {

    let {
      contracts
    } = this.props

    let chromaLocality = contracts['the-colorist']['colorverse']['colors-locality']['locality']
    let chromaType = contracts['the-colorist']['colorverse']['colors-solution']['color']

    // TODO!!
    if (this.props.item.get('id') === 'd5998e0c-5ae4-466d-9e31-245dd9414926' ) {
      chromaType = 'dark'
      chromaLocality = 'global'
    }

    // TODO
    if (chromaType === 'white') chromaType='light'
    if (chromaType === 'black') chromaType='dark'
    let chromaProps = {type: chromaType}
    if (chromaLocality === 'local') {
      chromaProps.colors = contracts['the-colorist']['colorsSolution']['palette'].map((c) => `rgb(${c.r}, ${c.g}, ${c.b})`)
    }

    let styleverseProps = {
      breakpoint: {
        target: 'window',
        // constrain: (({width,height}) => {
//           return {width: width*2/3,height: height*2/3}
//         })
      },
      layout: {},
      typography: {},
      chroma: chromaProps,
    }

    return styleverseProps
  },

})

Section.propTypes = {
  unit: React.PropTypes.object.isRequired,
  sectionId: React.PropTypes.string,
  contracts: React.PropTypes.object,
  siteData: React.PropTypes.object,
  itemsToRender: React.PropTypes.array,
}

Section.displayName = displayName

export default Section
