import React from 'react';
import {Style} from '../../../deps'
import Styles from '../../components/styles'

const style = function (scope) {

  return (
    <Styles chroma='default' typography='default' scope={scope}>
      <Style key='section-style' perf={true} scope={scope}>{`

        // color

        :scope {
          .texts {

            & {
              clr -- chroma-text2
            }
            h1 {
              clr -- chroma-title
            }
            h2 {
              clr -- chroma-title2
              fnt -- d
            }
            h3 {
              clr -- chroma-box-pop
              fnt -- d
            }
          }
        }


        //

        :scope {
          pos -- r
        }




        // text only????
        :scope:not(.item_w-cover-landscape) {


          :scope-unit-layout {

            pos -- r
            d -- flx
            flx-dir -- row
            flx-aln -- stretch

            mar-l -- 1goldx
            mar-r -- 1goldx

            @breakpoint <= media-s {

            mar-r -- 1goldx15
            mar-l -- 1goldx15

            }
            mar-t -- 1.5goldy
            mar-b -- 1.5goldy

            .content-unit.has-text {
              w -- 100%
              pad-l -- 4em
              pad-r -- 4em
              pad-t -- 4em
              pad-b -- 5em

              bg-clr -- chroma-box
              box-sh -- m

              @breakpoint <= media-m {
                pad -- 3em
                pad-t -- 4em

                h1, h2, h3 {
                  fnt-sz -- d
                }
              }


              .elements-layout {

                d -- flex
                flx-dir -- col
                flx-aln -- mid
                flx-jst -- mid

                .texts {
                  d -- flx
                  flx-dir -- col
                  flx-jst -- mid
                  pos -- r
                  z-idx -- 1
                }

                .meta {
                  order -- -1
                  mar-b -- 3em

                  .meta-layout {
                    d -- flex
                    flx-dir -- col
                    flx-aln -- mid
                    flx-jst -- mid
                  }

                  .attribution {
                    fnt -- d3
                    fnt-sz -- txt
                    ln-h -- 1.5em
                  }

                  .avatar {
                    mar-t -- -6em
                    mar-b -- 1em

                    img {

                      border-radius -- 50%
                      w -- 5em
                      h -- 5em
                      border -- 4px solid chroma-box
                      box-sh -- m
                    }
                  }
                }

              }


            }



          }

        }









        :scope.item_w-cover-landscape {

          :scope-bg {
            pos -- a
            t -- 0
            r -- 0
            l -- 0
            b -- 0
            bg-clr -- chroma-bg
          }

          :scope-unit-layout {

            pos -- r
            d -- flx
            flx-dir -- row
            flx-aln -- stretch

            .content-unit {
              bg-clr -- chroma-box
              min-h -- 66.6666vh
              w -- 100vw
              pos -- r
              d -- flx
              flx-dir -- row
              flx-dir -- col
              flx-jst -- mid

              fnt-sz -- txt-s


              .elements-layout {
                d -- flx
                flx-dir -- col
                flx-jst -- mid
                flx-aln -- stretch
              }

              &.has-text .texts {
                d -- flx
                flx-dir -- col
                flx-jst -- mid
                pos -- r
                z-idx -- 1
                pad -- 6em

                bg-clr -- chroma-box
                box-sh -- l
                box-sh -- inset 0 0 0 1em chroma-bg
                //bdr -- solid 1em chroma-bg

                mar-l -- 1goldx
                mar-b -- 2goldy

                h1, h2, h3 {
                  fnt-sz -- d-s
                }

                @breakpoint <= media-m {
                  pad -- 3em
                  pad-t -- 5em
                  mar-r -- 1goldx15
                  mar-l -- 1goldx15
                  //mar-t -- 1goldy

                  h1, h2, h3 {
                    fnt-sz -- d
                  }
                }

                @breakpoint > media-m {
                  pad-b -- 7.5em
                  //mar-r -- 2goldx
                  //mar-t -- 1goldy
                  max-w -- 50%
                }

              }

              .meta {
                order -- -1
                h -- 4em

                mar-t -- 1goldy
                mar-b -- -3em
                mar-l -- 1goldx

                .attribution {

                  fnt-sz -- txt-s
                  ln-h -- 1.5em
                  z-idx -- 1
                  bg-clr -- chroma-line
                  pad -- 1em 2em
                  box-sh -- m

                }

                @breakpoint <= media-xs {
                  mar-r -- 1goldx

                  .meta-layout {
                    d -- flex
                    flx-dir -- row
                    flx-jst -- mid
                  }

                  .attribution {
                    fnt-sz -- txt
                    ln-h -- 1.5em
                  }
                }

                @breakpoint > media-xs {
                  //mar-r -- 2goldx
                  max-w -- 50%

                  .meta-layout {
                    d -- flex
                    flx-dir -- row
                    flx-jst -- start
                    mar-l -- 6em
                  }
                }


              }

              .cover img {
                pos -- a
                w -- 100%
                h -- 100%
                t -- 0
                r -- 0
                l -- 0
                b -- 0
                obj-fit -- cover
              }

            }

          }
        }

        // gradient map style
        :scope.d5998e0c-5ae4-466d-9e31-245dd9414926 {

          .cover img {
            chroma-filter--gradient-map
            z-idx -- 0
          }

          .texts {
            d -- flx
            flx-dir -- col
            flx-jst -- mid
            pos -- r
            z-idx -- 1
            pad -- 0em

            bg-clr -- transparent !important
            box-sh -- none !important
            //bdr -- solid 1em chroma-bg

            mar-l -- 1goldx
            mar-b -- 2goldy

            h1, h2, h3 {
              fnt-sz -- d-s
              //clr -- chroma-dark-title
            }

            @breakpoint <= media-xs {
              mar-r -- 1goldx
              //mar-t -- 1goldy

              h1, h2, h3 {
                fnt-sz -- d
              }
            }


            @breakpoint > media-m {
              pad-b -- 7.5em
              //mar-r -- 2goldx
              //mar-t -- 1goldy
              max-w -- 50%
            }

          }
        }
      `}</Style>
    </Styles>
  )

}

export default style
