import {React, Component, Styleverse, Style} from '../../../deps';
import RendererContext from '../../components/renderer-context'
import MultiSection from '../multi'

let displayName = 'MultiCtxOnSubGrid'

//let unitClassifier = RendererContext.plugins.get('dec-device').get('unitClassifier')

let fromItem = function (item) {
  if (!item.get('isFeed')) return false

  // TODO temp...
  if (item.get('id') !== '6bd3f5a1-43a8-459c-a432-48b082101b0d') return false

  let units = item.get('subjectUnits').concat(item.get('contextUnit').get('split'))
  if (!units) return false
  //let $class = item.get('$class')

  return units
}


class Section extends React.Component {

  render() {
    let item = this.props.itemsToRender[0]
    return (
      <RendererContext $class="">
        <MultiSection {...this.props}
          className="section--multi-ctx-on-sub-grid" item={item} units={fromItem(item)}
          stylesheet="multi-ctx-on-sub-grid"
          styleverseProps={(props)=>{
            props = Object.assign({},props)
            props.chroma = {type: 'dark', colors:['white','black','#d0b281']}
            props.breakpoint.constrain = ({width, height}) => {
              return {width: width/2, height: height/2}
            }
            return props
          }} />
      </RendererContext>
    )
  }

}

Section.componentverse = {
  id: displayName,
  $class: [],
  props: {},
  Y_inlets: [
    {
      '$item-capacity': 1,

      inlets: {
        '1': (item, items, siteData) => {
          return !!fromItem(item)
        },
      }
    },
  ],
  'harmonies': [],
  getCompData: function(itemsToRender, contracts, siteContracts, siteData) {
    // console.log('Section contract: ', JSON.stringify(contracts))
 //    console.log('\n\n ----------------------- \n\n')
 //    console.log('site contract: ', JSON.stringify(siteContracts))
 //    console.log('Site data is passed', siteData !== undefined)
  },
};

Section.propTypes = {
  sectionId: React.PropTypes.string,
  contracts: React.PropTypes.object,
  siteData: React.PropTypes.object,
  itemsToRender: React.PropTypes.array,
}

Section.displayName = displayName

export default Section
