import React from 'react';
import {Style} from '../../../../deps'

const style = function (scope) {

  return (
      <Style key='section-style' perf={true} scope={scope} bp={720/2}>{`

        :scope {

          pos -- r
          h -- 166.66666vh
          min-h -- 720

          picture {
            mar -- 0
          }

          :scope-bg {
            pos -- a
            t -- 0
            r -- 0
            l -- 0
            b -- 0
            bg-clr -- chroma-bg
          }

          :scope-unit-layout {

            pos -- a
            t -- 0
            r -- 0
            b -- 0
            l -- 0

            d -- flx
            flx-dir -- row
            flx-aln -- stretch
            flx-wrap -- wrap

            .subject-unit {

              // TODO
              h -- 50%
              min-h -- 50vh
              &:nth-child(4) {
                w -- 100%
                order -- -1
              }
              &:not(:nth-child(4)) {
                w -- 50%
                order -- 1
              }

              flex-grow -- 1
              pos -- r
              d -- b

              .layout {
                d -- b
              }

              .cover img {
                pos -- a
                t -- 0
                r -- 0
                l -- 0
                b -- 0
                w -- 100%
                h -- 100%
                obj-fit -- cover
              }
              .cover.orientation--landscape img {
                max-w -- 100vw
              }


            }

          }

          .context-unit {

            pos -- a
            l -- 0
            r -- 0
            t -- 4em
            b -- 4em
            d -- flx
            flx-aln -- mid
            flx-jst -- mid

            .elements-layout {
              bg-clr -- chroma-box
              d -- flx
              flx-dir -- row
              flx-jst -- mid



              @? breakpoint.width > props.bp {
                 max-w -- 50%
              }
              @? {
                 mar -- 4em
              }


            }

            .texts {
              d -- flx
              flx-dir -- col
              flx-jst -- mid
              flx-aln -- mid
              pos -- r
              z-idx -- 1
              pad -- 4em
              bg-clr -- chroma-box
              box-sh -- m
              box-sh -- inset 0 0 0 1em chroma-bg
              //bdr -- solid 1em chroma-bg


              txt-aln -- center

              h1 {
                fnt-sz -- d-l
                bdr-b -- solid 4px chroma-line
                pad-b -- .25em
                mar-b -- 1em
              }
              p {
                color -- chroma-title2
                fnt -- txt
                fnt-sz -- txt-l
                ln-h -- 1.5em
              }

              @? breakpoint.width <= props.bp {
                h1, h2, h3, h4 {
                  fnt-sz -- 3rem
                }
                p {
                  fnt-sz -- 1rem
                  ln-h -- 1.5em
                }

              }

              //& {
              //  clr -- chroma-text-pop2
              //}
              //h1 {
              //  clr -- chroma-text-pop
              //}
              //h2 {
              //  clr -- chroma-text-pop2
              //  fnt -- d
              //}
              //h3 {
              //  clr -- chroma-box-pop
              //  fnt -- d
              //}

            }

          }


        }

      `}</Style>
  )

}

export default style
