import {React, Component, Styleverse, Style} from '../../../deps';
import SiteLogo from '../../components/site-logo'
import {NavLinkBlock} from '../../blocks';
import {NavIcon} from '../../icons';
import style from './style'

class NavHamburger extends Component {

  constructor(...args) {
    super(...args);
  }


  render() {
    this.item = this.props.itemsToRender[0];
    this.siteUrl = this.props.siteData.get('siteUrl')

    let elProps = this.elProps()
    let {id} = elProps
    let scope = this.scope = '#' + id

    return (
      <section {...elProps}>
        {style(scope)}
        <div className="nav-layout layout">
          {this.renderIcon()}
          {this.renderBrand()}
          {this.renderLinks()}
        </div>
      </section>
    );
  }

  renderLinks() {
    let item = this.item
    let hasNav = !item.get('content').get(0).get('navigation').isEmpty()
    let linkItems = this.renderMenuItems(item)
    if (!linkItems || !hasNav) return
    return (
      <div className="link-layout layout">
        {linkItems}
      </div>
    )
  }

  renderMenuItems() {
    let item = this.item

    return item.get('content').get(0).get('navigation').map((navItem,i) => {

      if (i === 0) { // first item is the name of the site
        return false
      }

      if (navItem) {
        // https://github.com/the-grid/designsystems-stories/issues/307
        // get the name instead of title
        let href = navItem.get('href');
        let title = navItem.get('title');

        return (
          <div className="link-layout-item" key={'item-'+i}>
            <NavLinkBlock
              siteUrl={this.props.siteUrl}
              url={navItem.get('url')}
              href={href}
              title={title}
              name={navItem.get('name')}
            />
          </div>
        );
      }
      return null

    })
  }

  renderIcon() {
    return null
    return <div className="nav-icon">☰</div>
  }

  renderBrand() {
    return null
    let item = this.item
    let title = this.props.siteData.get('title') || item.get('content').get(0).get('navigation').get(0).get('title')
    return (
      <div className="nav-brand">
        <span>
          <SiteLogo />
          <NavLinkBlock siteUrl={this.siteUrl} href={'index.html'} title={title} />
        </span>
      </div>
    )
  }
}

NavHamburger.componentverse = {
  id: 'NavHamburger',
  $class: [],
  props: {},
  Y_inlets: [
    {
      '$item-capacity': 1,
      inlets: {
        '1': (item, items, siteData) => {
          let canRenderItem = item.get('isNavigation');
          if (canRenderItem) {
            let title = siteData.get('config').get('name') || item.get('content').get(0).get('navigation').get(0).get('title');
            if (title && title.length > 40) {
              canRenderItem = false;
            }
            canRenderItem = item.get('content').get(0).get('navigation').count() > 1;
          }
          return canRenderItem
        },
      }
    }
  ],
  'harmonies': [],
};

NavHamburger.propTypes = {
  sectionId: React.PropTypes.string,
  contracts: React.PropTypes.object,
  siteData: React.PropTypes.object,
  itemsToRender: React.PropTypes.array,
}

export default NavHamburger;
